## org.apache.myfaces.renderkit.html
Class HtmlMessageRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.renderkit.html.HtmlRenderer
              org.apache.myfaces.renderkit.html.HtmlMessageRendererBase
                  org.apache.myfaces.renderkit.html.HtmlMessageRenderer

public class HtmlMessageRenderer
extends HtmlMessageRendererBase

Version:
  $Revision: 169655 $ $Date: 2005-05-11 12:45:06 -0400 (Wed, 11 May 2005) $
Author:
  Manfred Geiler (latest modification by $Author: grantsmith $), Thomas Spiegl

Constructor Summary
`HtmlMessageRenderer()`

Method Summary
`void` `encodeEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`protected java.lang.String` `getDetail(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent message, javax.faces.application.FacesMessage facesMessage, java.lang.String msgClientId)`
`protected java.lang.String` `getSummary(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent message, javax.faces.application.FacesMessage facesMessage, java.lang.String msgClientId)`

Methods inherited from class org.apache.myfaces.renderkit.html.HtmlMessageRendererBase
`getFor, getStyleAndStyleClass, getTitle, isShowDetail, isShowSummary, isTooltip, renderMessage, renderSingleFacesMessage`

Methods inherited from class org.apache.myfaces.renderkit.html.HtmlRenderer
`encodeChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, decode, encodeBegin, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlMessageRenderer

    public HtmlMessageRenderer()

Method Detail

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext facesContext,
                          javax.faces.component.UIComponent component)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### getSummary

    protected java.lang.String getSummary(javax.faces.context.FacesContext facesContext,
                                          javax.faces.component.UIComponent message,
                                          javax.faces.application.FacesMessage facesMessage,
                                          java.lang.String msgClientId)

  Specified by:
    `getSummary` in class `HtmlMessageRendererBase`

### getDetail

    protected java.lang.String getDetail(javax.faces.context.FacesContext facesContext,
                                         javax.faces.component.UIComponent message,
                                         javax.faces.application.FacesMessage facesMessage,
                                         java.lang.String msgClientId)

  Specified by:
    `getDetail` in class `HtmlMessageRendererBase`